// -*- mode: c++; c-indent-level: 4; c++-member-init-indent: 8; comment-column: 35; -*-

// "permMove.h"

#ifndef __permMove
#define __permMove

#include <utility>
#include <eoMove.h>

/**
 * permuation of two positions
 **/
template <class EOT>
class PermMove : public eoMove <EOT> {

public :
  
  unsigned first, second;

  PermMove() {
    first  = 0;
    second = 0;
  }

  PermMove(unsigned f, unsigned s) : first(f), second(s) {  }

  PermMove operator ! () const 
  {
    PermMove<EOT> move = * this ;
  
    return move ;
  };

  virtual void operator () (EOT & solution) 
  {
    unsigned tmp;

    tmp = solution[first];
    solution[first] = solution[second];
    solution[second] = tmp;

  };

} ;

#endif
