// -*- mode: c++; c-indent-level: 4; c++-member-init-indent: 8; comment-column: 35; -*-

#ifndef __tabu_list_QAP
#define __tabu_list_QAP

#include <eoTabuList.h>
#include "permMove.h"

/** The table of tabu movements, i.e. forbidden edges */
template <class EOT>
class TabuListQAP : public eoTabuList <PermMove<EOT> > {
  
public :
  TabuListQAP(unsigned _nbIterTabu) : nbIterTabu(_nbIterTabu) {
  }
  
  // true if the movemnt is tabu
  bool operator()(const PermMove<EOT> & move, const EOT & sol) {
  }
  

  // add a tabu in tabuList
  void add(const PermMove<EOT> & move, const EOT & sol) {
  }
  

  // update tabu List 
  void update() {
  }

  // initialization of tabu list
  void init() {
  }
  
  // the tabu List
  vector<vector<unsigned> > tabu_span;
  
};

#endif
