#ifndef __mutationQAP
#define __mutationQAP

/**
 *   mutation for QAP problem
**/

template <class Chrom> 
class MutationQAP: public eoMonOp<Chrom>
{
 public:
  virtual std::string className() const {return "MutationQAP";}

  bool operator()(Chrom & chrom) {
    int i = rng.random(chrom.size());
    int j = rng.random(chrom.size());

    int temp = chrom[i];
    chrom[i] = chrom[j];
    chrom[j] = temp;

    return true;
  }

};


#endif
