#ifndef __xoverQAP
#define __xoverQAP

/**
 *   crossover for QAP problem
**/

template <class Chrom> 
class XoverQAP: public eoQuadOp<Chrom>
{
 public:
  virtual std::string className() const {return "XoverQAP";}

  bool operator()(Chrom& chrom1, Chrom& chrom2)
    {
      int i;
      int rang;
      for(int k=0;k<chrom1.size()/3;k++)
	{
	  i=0;
	  rang=rng.random(chrom1.size());
	  while(chrom2[i]!=chrom1[rang])
	    i++;
	  int temp=chrom1[rang];
	  chrom1[rang]=chrom1[i];
	  chrom1[i]=temp;
	  temp=chrom2[rang];
	  chrom2[rang]=chrom2[i];
	  chrom2[i]=temp;
	}
      return true;
    }
};


#endif
